Skip to content
Start here

Cancel a crawl job.

DELETE/accounts/{account_id}/browser-rendering/crawl/{job_id}

Cancels an ongoing crawl job by setting its status to cancelled and stopping all queued URLs.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Account ID.

job_id: string

The ID of the crawl job to cancel.

ReturnsExpand Collapse
result: object { job_id, message }
job_id: string

The ID of the cancelled job.

message: string

Cancellation confirmation message.

success: boolean

Response status.

errors: optional array of object { code, message }
code: number

Error code.

message: string

Error message.

Cancel a crawl job.

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/browser-rendering/crawl/$JOB_ID \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}